# Package org.eclipse.net4j.protocol

The Net4j transport layer concepts for dealing with protocols.

- Interface Summary
  Interface | Description
  --- | ---
  IProtocol<INFRA_STRUCTURE> | A `typed` `buffer handler` for a `channel`.
  IProtocol2<INFRA_STRUCTURE> | A `versioned` `protocol`.
  IProtocolProvider | Provides `protocol` instances for given types.

- Exception Summary
  Exception | Description
  --- | ---
  ProtocolVersionException | An exception that indicates mismatch between the versions of two protocol peer implementations.